Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.DialogDescriptionConfig Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| DialogDescriptionConfig ()
| Constructor.
| DialogDescriptionConfig (string name, string first_tab, int width, int height, int char_width, int char_height, string align_children, DialogDescriptionElementArray element_array)
| Constructor, with parameters. More...
| DialogDescriptionConfig (DialogDescriptionConfig dlg_des_config)
| Constructor, with another dialog description config object. More...
void | Set (string name, string first_tab, int width, int height, int char_width, int char_height, string align_children, DialogDescriptionElementArray element_array)
| Set values. More...

## Properties
string | align_children`[get, set]`
| The alignment for all descendants.
int | char_height`[get, set]`
| The height of the dialog box in characters. More...
int | char_width`[get, set]`
| The width of the dialog box in characters. More...
DialogDescriptionElementArray? | element_array`[get, set]`
| An array of dialog description element array object.
string | first_tab`[get, set]`
| An ItemID for the dialog box item that should be first in the tab order. More...
int | height`[get, set]`
| The height of the dialog box in pixels. More...
string | name`[get, set]`
| The title bar of the dialog box.
int | width`[get, set]`
| The width of the dialog box in pixels. More...

## Detailed Description

This class represents dialog config.

## Constructor & Destructor Documentation

## ◆ DialogDescriptionConfig() [1/2]

foxit.pdf.actions.DialogDescriptionConfig.DialogDescriptionConfig | ( | string | name,
|  | string | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | string | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

## ◆ DialogDescriptionConfig() [2/2]

foxit.pdf.actions.DialogDescriptionConfig.DialogDescriptionConfig | ( | DialogDescriptionConfig | dlg_des_config | ) |
| inline

Constructor, with another dialog description config object.

Parameters

  [in] | dlg_des_config | Another dialog description config object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.DialogDescriptionConfig.Set | ( | string | name,
|  | string | first_tab,
|  | int | width,
|  | int | height,
|  | int | char_width,
|  | int | char_height,
|  | string | align_children,
|  | DialogDescriptionElementArray | element_array
| ) |  |
| inline

Set values.

Parameters

  [in] | name | The title bar of the dialog box.
  [in] | first_tab | An ItemID for the dialog box item that should be first in the tab order.
  [in] | width | The width of the dialog box in pixels.
  [in] | height | The height of the dialog box in pixels.
  [in] | char_width | The width of the dialog box in characters.
  [in] | char_height | The height of the dialog box in characters.
  [in] | align_children | The alignment for all descendants.
  [in] | element_array | An array of dialog description element array object.

Returns
  None.

## Property Documentation

## ◆ char_height

int foxit.pdf.actions.DialogDescriptionConfig.char_height
| get set

The height of the dialog box in characters.

If no height is specified, the combined height of the contents is used.

## ◆ char_width

int foxit.pdf.actions.DialogDescriptionConfig.char_width
| get set

The width of the dialog box in characters.

If no width is specified, the combined width of the contents is used.

## ◆ first_tab

string foxit.pdf.actions.DialogDescriptionConfig.first_tab
| get set

An ItemID for the dialog box item that should be first in the tab order.

If no width is specified, the combined width of the contents is used.

## ◆ height

int foxit.pdf.actions.DialogDescriptionConfig.height
| get set

The height of the dialog box in pixels.

If no height is specified, the combined height of the contents is used.

## ◆ width

int foxit.pdf.actions.DialogDescriptionConfig.width
| get set

The width of the dialog box in pixels.

If no width is specified, the combined width of the contents is used.